<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

Hook::call('blocks_static_edit_before');

LabCMS::i()->setAdminSkin();

$blocks=Factory::create('blocks_static_edit.main');

$action='all';
if (isset($_GET['action']) && is_callable(array($blocks, $_GET['action']))) $action=$_GET['action'];
call_user_func(array($blocks, $action));

Hook::call('blocks_static_edit_after');